## mailscanner 4.79.11

=== debian/changelog ===
mailscanner (4.79.11-2) unstable; urgency=low

  * Fixed hourly cronjob script to restart mailscanner (Closes: #575952)
  * Fixed path to MailScanner.conf in update_virus_scanners (Closes: #572551)
  * Fixed init-script to use the new config system (Closes: #572552)
  * Removed advertisement/malware in report files, thanks to Dennis Ponne
  * Changed patch for exim4 cron.daily script to patch the correct file 
  * Switch to dpkg-source 3.0 (quilt) format

 -- Simon Walter <simon.walter@hp-factory.de>  Sun, 11 Apr 2010 18:49:58 +0200

mailscanner (4.79.11-1) unstable; urgency=low

  * New upstream release (Closes: #529358, #529712, #498208)
  * Fixed dependencies and provides in init.d script (Closes: #542233)
  * Define HOSTNAME environment variable in mailscanner.default, 
    thanks to Lorenzo M. Catucci (Closes: #520288)
  * Removed dependency on libcompress-zlib-perl (Closes: #542821)

 -- Simon Walter <simon.walter@hp-factory.de>  Fri, 12 Feb 2010 15:44:19 +0100

mailscanner (4.74.16-1) unstable; urgency=low

  * New upstream release (Closes: #506353)
    Fixes symlink vulnerability CVE-2008-5312, CVE-2008-5313, CVE-2008-5140
  * Added new description to install MailScanner with sendmail and queue aging
    README.sendmail.2 thanks to Jim Barber
  * Fixed patch for exim installation (Closes: #512338)

 -- Simon Walter <simon.walter@hp-factory.de>  Tue, 20 Jan 2009 22:23:36 +0100

mailscanner (4.71.10-1) unstable; urgency=low

  * New upstream release (Closes: #490948, #495904)
  * Since 4.69.9 --id=<message-id> and --debug allow 
    to scan a single message (Closes: #177027)
  * Fixed init.d script to stop possible respawning mailscanner 
    instances (Closes: #491037)
  * Fixed a bug which prevented update_virus_scanner to execute 
    the autoupdate-scripts, thanks to Achim J. Latz

 -- Simon Walter <simon.walter@hp-factory.de>  Fri, 03 Oct 2008 13:41:01 +0200

mailscanner (4.68.8-1) unstable; urgency=low

  * New upstream release
  * Removed unused templates (Closes: #472676, #472067, #469916)
  * Fix broken non-standard conform init-script, which caused upgrade problems
    invoke-rc.d requires initscripts to return 0 if the daemon was already 
    stopped (Closes: #472489)

 -- Simon Walter <simon.walter@hp-factory.de>  Thu, 03 Apr 2008 21:32:08 +0200

mailscanner (4.66.5-2) unstable; urgency=low

  * Install links after fixing file permissions to avoid chmod
    errors, add docbook-xml to build-depends (Closes: #464317)
  * Drop upgrade scripts for mailscanner v3 (Closes: #467411, #467465)
  * updated dependencies:
		- libcompress-zlib-perl (>= 1.42)
		- libdbd-sqlite3-perl (>= 1.13)
		- spamassassin (>= 3.1)
		- libmailtools-perl (>= 2.02)

 -- Simon Walter <simon.walter@hp-factory.de>  Wed, 27 Feb 2008 18:10:14 +0100

mailscanner (4.66.5-1) unstable; urgency=low

  [ Simon Walter ]
  * New upstream version (Closes: #425861, #429954, #465095)
  * Add Portuguese debconf translation. (Closes: #412883)
  * Removed f-prot location patch, f-prot-installer package has been removed
  * Add clamav and clamav-daemon to Recommends
  * Less commercial description (Closes: #432881)
  * Found new sponsor (Closes: #449140)
  * Remove /etc/cron.d/mailscanner on purge (Closes: #454381)
  * Test for mailscanner spool dir in daily cronscript (Closes: #435998)

  [ Anthony Fok ]
  * libmime-perl has been renamed to libmime-tools-perl as of 5.425-2, hence
    updated dependency to libmime-tools-perl | libmime-perl (>= 5.419)
  * MailScanner-File::Temp::VERSION-check.dpatch: /usr/sbin/MailScanner
    checks for Perl IO module >= 1.23, which does not yet exist in Debian,
    and IMHO is the wrong check.  Checks for File::Temp >= 0.17 instead.
  * Sponsored the upload.

 -- Simon Walter <simon.walter@hp-factory.de>  Sun, 24 Feb 2008 05:41:25 +0800

mailscanner (4.58.9-2) unstable; urgency=low

  * Exim.pm: Fix serious problem with patch for #346212, MailScanner couldn't read any address

 -- Simon Walter <simon.walter@hp-factory.de>  Sun, 25 Feb 2007 20:18:12 +0100

mailscanner (4.58.9-1) unstable; urgency=low

  * New upstream version

 -- Simon Walter <simon.walter@hp-factory.de>  Tue, 20 Feb 2007 19:25:23 +0100

mailscanner (4.57.6-3) unstable; urgency=low

  * cron.daily: fixed string equation test (Closes: #409790)
  * Add missing patch for #399424 to load spam.assasin.prefs.conf (Closes: #410148)
  * Exim.pm: Correctly parse adress-lines in -H spool files if one_time option is used (Closes: #346212)
  * Message.pm: change owner of extracted dot-files (.foo) (Closes: #326193)

 -- Simon Walter <simon.walter@hp-factory.de>  Sun, 11 Feb 2007 22:35:05 +0100

mailscanner (4.57.6-2) unstable; urgency=low

  * README.Debian: add comment about spamassassin/spamd  (Closes: #309796)
  * README.Debian: add comment about razor logfile problem (Closes: #305239)
  * cron.daily: test if exim4 is installed before doing exim4 specific things. (Closes: #406643) 
  * cron.daily: quote variables (Closes: #407581)
  * exim/cron.daily.patch: set EXIM4_SPOOLDIR so exim4_refresh_gnutls-params works in the correct directory (Closes: #406814)

 -- Simon Walter <simon.walter@hp-factory.de>  Mon, 22 Jan 2007 23:50:38 +0100

mailscanner (4.57.6-1) unstable; urgency=low

  * New upstream version

 -- Simon Walter <simon.walter@hp-factory.de>  Sat, 6 Jan 2007 19:19:18 +0100

mailscanner (4.55.10-4) unstable; urgency=low

  * New maintainer (Closes: #401510)
  * Complet rewrite of the init-script. (Closes: #402967)
  * Remove check_mailscanner script
  * Manpages for all executables.
  * New installation manual for exim4. (Closes: #401329)
  * New installation manual for sendmail (Closes: #332249)
  * Add spanish debconf translation. (Closes: #402530)
  * Add comment about spamhaus.org DNSBLs. (Closes: #402797)
  * Add update_phishing_safe_sites script
  * Add d2mbox script
  * Reactivate usage of spam.assassin.prefs.conf. (Closes: #399424)

 -- Simon Walter <simon.walter@hp-factory.de>  Sat, 16 Dec 2006 14:05:53 +0100


