=== debian/control ===
Source: mailscanner
Section: mail
Priority: optional
Maintainer: Simon Walter <simon.walter@hp-factory.de>
Build-Depends: debhelper (>> 5), xsltproc, docbook-xsl, po-debconf, docbook-xml
Build-Depends-Indep: perl (>= 5.8.7)
Standards-Version: 3.8.4

Package: mailscanner
Architecture: all
Pre-Depends: debconf (>= 0.5) | debconf-2.0
Depends: exim4 | mail-transport-agent, spamassassin (>= 3.1), unzip, ucf (>= 1.08), perl (>= 5.8.7), libarchive-zip-perl, libconvert-tnef-perl, libhtml-parser-perl, libmime-tools-perl | libmime-perl (>= 5.419), libnet-cidr-perl, libdbd-sqlite3-perl, libfilesys-df-perl, libsys-hostname-long-perl, libmailtools-perl (>= 2.02), libole-storage-lite-perl (>= 0.17), libnet-dns-perl (>= 0.65), libdigest-sha1-perl, libnet-ip-perl, libdbi-perl, ${misc:Depends}
Recommends: tnef (>= 1.4.3), ncftp | wget, libnet-cidr-lite-perl, clamav, clamav-daemon
Suggests: libnet-ldap-perl, libmail-spf-query-perl, unrar-nonfree
Conflicts: exim4-base (<< 4.30-3)
Homepage: http://mailscanner.info
Description: email gateway for virus scanning, spam and phishing detection
 MailScanner is a email gateway virus-scanner and spam and
 phishing-detector. It uses Exim, sendmail or postfix as its basis,
 and supports clamav and some commercial virus scanning engines to do
 the actual virus scanning. For spam dectection MailScanner uses
 spamassassin.
 .
 The action taken on virus, spam or phishing mails can be configured
 with a flexible ruleset based on sender, receiver, scoring etc.
 .
 Virus checking is disabled and spam checking is enabled by default.
